Workshop/Processes/{process}/Brightmotive
Sync Brightmotive data
Synchronizes parts and interventions from Brightmotive integration. Handles insert, update and delete of parts and interventions based on workorder data.
AuthorizationBearer <token>
In: header
Path Parameters
processstring
workorder_idstring
Brightmotive workorder ID
parts?array<object>
Parts to sync. Empty array deletes all parts for this workorder.
interventions?array<object>
Interventions to sync. Empty array deletes all interventions for this workorder.
Response Body
curl -X POST "https://og-tenant1.test:8003/api/v2/workshop/processes/string/brightmotive" \
-H "Content-Type: application/json" \
-d '{
"workorder_id": "string"
}'{
"data": {
"parts": {
"success": true,
"action": "string",
"process_id": 0,
"workorder_id": "string"
},
"interventions": {
"success": true,
"action": "string",
"process_id": 0,
"workorder_id": "string"
}
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}